
Foreman - Bug #2219

User <-> Hostgroup ACLs to follow the hostgroup hierarchy

02/19/2013 04:08 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Two hostgroups:

h1

h1/h2

If h1 is the only item in the list of hostgroups 'managed' by u1 (filters tab, user properties) then hosts in h2 will be hidden from u1

(same for several levels of nesting)

Imagine a top-level hostgroup with looots of subhostgroups, when someone arrives someone will have to add permissions for every

single subhostgroup in the hierarchy. Boring and time consuming.

Associated revisions

Revision 16ce9a7a - 03/04/2013 09:33 AM - Daniel Lobato Garcia

fixes #2219 - Hostgroup ownership is hierarchical

History

#1 - 03/04/2013 07:26 AM - Ohad Levy

- Target version set to 1.2.0

#2 - 03/04/2013 11:26 AM - Daniel Lobato Garcia

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 16ce9a7a6580999f7fe729b9652981ce2397b161.
